## -ux: Logging On to the XUSER Program

### Use

In the Database Manager CLI, you use the DBM option -ux to log on to the XUSER program using the data stored under the DEFAULT user key.

You can use this DBM option together with the DBM options for changing (–us) or deleting (–ud) XUSER entries.

We recommend that you use the XUSER tool directly.

See also: Utilities, XUSER

### Prerequisites

You have saved the user name and password of a valid database user under the DEFAULT user key.

### Syntax

-ux <default_user_name>,<default_user_password>

Options

Option | Description
<default_user_name> | Name of the user stored under the DEFAULT user key
<default_user_password> | Password of the user stored under the DEFAULT user key

### Examples

Changing an Existing XUSER Entry

>dbmcli -ux <default_user_name>,<default_user_password> -uk <user_key> –us <new_user_name>,<new_user_password> [options]

Call the Database Manager CLI, log on as user BORIS with password PINK (stored under the DEFAULT user key), specify the XUSER entry to be changed with the user key DAKEY, specify the new user name and password – MONA and RED:

>dbmcli –ux BORIS,PINK –uk DAKEY –us MONA,RED

Deleting an Existing XUSER Entry

>dbmcli -ux <default_user_name>,<default_user_password> -uk <user_key> -ud

Call the Database Manager CLI, log on as user BORIS with password PINK (stored under the DEFAULT user key), specify the XUSER entry to be deleted with the user key DAKEY, specify the DBM option –ud to delete this entry:

>dbmcli –ux BORIS,PINK –uk DAKEY –ud